<template>
  <div class="show-sub-category-box" @click="goToThisCategoryProductList">
    <img :src="productsSubCategory.sub_icon" alt />
    <h1>{{this.productsSubCategory.sub_category}}</h1>
  </div>
</template>

<script>
export default {
  name: "SubCategoriesItem",
  props: {
    productsSubCategory: {
      propType: Object,
      required: true
    }
  },
  data() {
    return {};
  },
  methods: {
    goToThisCategoryProductList() {
      let searchedSubCategory = this.productsSubCategory.sub_category;
      this.$emit("show-this-sub-category-products-list", searchedSubCategory);
    }
  }
};
</script>

<style scoped>
img {
  height: 2vw;
  width: 2vw;
   display: block;
    margin-left: auto;
    margin-right: auto

}
h1 {
  font-size: 20px;
  font-family: "Dancing Script", cursive;
  text-transform: lowercase;
   text-align: center
}
h1:first-letter {
  font-size: 20px;
  font-family: "Dancing Script", cursive;
  text-transform: uppercase;
}

@media only screen and (max-width: 500px) {
  img {
    height: 12vw;
    width: 12vw;
  }
  h1 {
    font-size: 10px;
  }
}
</style>
